Bug 135321 - Text display distorted when unable to start X
Text display distorted when unable to start X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 18:02 EDT by George Toft
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: FC3T3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 16:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda failure message (49.88 KB, image/bmp)
2004-10-11 18:04 EDT, George Toft
no flags Details

  None (edit)
Description George Toft 2004-10-11 18:02:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3)
Gecko/20040910

Description of problem:
Text screen is distorted when X-based installer failed to initialize.

VMWare 3.2 is hosting FC3 for testing.  Same VMWare version hosts RHEL
2.1, 3.0, (and other Linux distros) with no issues.

I got past the "CD Found" dialog.  anaconda began startup, and
eventually failed, despite correctly identifying the video card. 
Message displayed:

, Unable to Start X 

X was unable to start on your machine.
Would you like to start VNC to connect 
to this computer from another computer 
and perform a graphical install or
continue with a text mode install?
 :    :
   use text mode     Start VNC



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert CD #1
2. Power on VMWare virtual machine
3. View error
    

Actual Results:  See screen shot

Expected Results:  A neater screen

Additional info:
Comment 1 George Toft 2004-10-11 18:04:52 EDT
Created attachment 105027 [details]
anaconda failure message
Comment 2 Jeremy Katz 2004-10-12 15:40:55 EDT
This looks fine for me here... are you booting with 'nofb' or similar?
Comment 3 George Toft 2004-10-13 09:37:02 EDT
No special boot parameters are being used in any case (FC3T1 or RHEL).

When you say it looks fine - does that mean you don't get the error? 
The nofb parameter indicates to me that you are getting a graphical
display, which is not the issue - the error reporting mechanism is
working correctly.  The issue being reported is that the error is
munged and it is really unclear what the default answer is as the
highlighting is in the wrong place.  Perhaps this is a UTF-8
conversion issue?

Also note that this page's format is not consistent with the rest of
the text installer, which works perfectly.  Something is different in
the initial error reporting part of anaconda than the rest of the
installer.
Comment 4 Paul Nasrat 2004-10-14 12:46:46 EDT
As test1 is somewhat old, could you retest on FC3T3 please.  I just
tried to replicate off a more recent tree with VMwareWorkstation
4.5.2, and I can't replicate as X starts.  I'll dig up an older tree
but I'd be gratefull if you could test FC3T3.
Comment 5 George Toft 2004-10-15 16:42:41 EDT
Problem does not exist with FC3T3.  Closing record.

Note You need to log in before you can comment on or make changes to this bug.